From e5e6b3f84aedc00acf6e74abc2ee4865041b2220 Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Mon, 5 Dec 2011 09:38:34 -0600
Subject: Making use of library support for UI

---
 grade/report/grader/lib.php |   11 +++++++----
 1 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/grade/report/grader/lib.php b/grade/report/grader/lib.php
index bcacf6d..d8acd59 100644
--- a/grade/report/grader/lib.php
+++ b/grade/report/grader/lib.php
@@ -903,7 +903,7 @@ class grade_report_grader extends grade_report {
 
                 // Do not show any icons if no grade (no record in DB to match)
                 if (!$item->needsupdate and $USER->gradeediting[$this->courseid]) {
-                    $itemcell->text .= $this->get_icons($element);
+                    $itemcell->text .= $this->get_icons($element, $item);
                 }
 
                 $hidden = '';
@@ -1438,10 +1438,11 @@ class grade_report_grader extends grade_report {
      * figures out the state of the object and builds then returns a div
      * with the icons needed for the grader report.
      *
-     * @param array $object
+     * @param object $object
+     * @param grade_item $item
      * @return string HTML
      */
-    protected function get_icons($element) {
+    protected function get_icons($element, $item = null) {
         global $CFG, $USER, $OUTPUT;
 
         if (!$USER->gradeediting[$this->courseid]) {
@@ -1451,7 +1452,9 @@ class grade_report_grader extends grade_report {
         // Init all icons
         $editicon = '';
 
-        if ($element['type'] != 'categoryitem' && $element['type'] != 'courseitem') {
+        $overridable = $item ? $item->is_overridable_item() : true;
+
+        if ($element['type'] != 'categoryitem' && $element['type'] != 'courseitem' &&$overridable) {
             $editicon = $this->gtree->get_edit_icon($element, $this->gpr);
         }
 
-- 
1.7.1


